summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--composer.json2
-rwxr-xr-xmakesrc.sh26
-rw-r--r--php-sebastian-diff8.spec16
3 files changed, 18 insertions, 26 deletions
diff --git a/composer.json b/composer.json
index b437d8a..fe59ba0 100644
--- a/composer.json
+++ b/composer.json
@@ -45,7 +45,7 @@
},
"extra": {
"branch-alias": {
- "dev-main": "8.0-dev"
+ "dev-main": "8.1-dev"
}
}
}
diff --git a/makesrc.sh b/makesrc.sh
index ac0c720..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,35 +1,27 @@
#!/bin/bash
NAME=$(basename $PWD)
-DATE=$(sed -n '/^%global gh_date/{s/.* //;p}' $NAME.spec)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-DATE=$(date -d "$DATE -4 days" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
echo "Cloning..."
- rm -rf $PROJECT-$COMMIT
- git clone --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || exit 1
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
- echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit 1
- cp composer.json ../composer.json
- popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
echo "Done."
fi
diff --git a/php-sebastian-diff8.spec b/php-sebastian-diff8.spec
index ea2f883..8ac65f7 100644
--- a/php-sebastian-diff8.spec
+++ b/php-sebastian-diff8.spec
@@ -9,11 +9,8 @@
%bcond_without tests
-%global gh_commit a2b6d09d7729ee87d605a439469f9dcc39be5ea3
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sebastianbergmann
%global gh_project diff
-%global gh_date 2026-02-06
# Packagist
%global pk_vendor sebastian
%global pk_project %{gh_project}
@@ -25,17 +22,17 @@
%global php_home %{_datadir}/php
Name: php-%{pk_vendor}-%{pk_project}%{major}
-Version: 8.0.0
-Release: 2%{?dist}
+Version: 8.1.0
+Release: 1%{?dist}
Summary: Diff implementation, version %{major}
License: BSD-3-Clause
URL: https://github.com/%{gh_owner}/%{gh_project}
# run makesrc.sh to create a git snapshot with test suite
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
# php-symfony7 not available, only used for tests
-%global symfony_version 7.3.11
+%global symfony_version 7.4.8
Source2: https://github.com/symfony/process/archive/v%{symfony_version}/php-symfony-process-%{symfony_version}.tar.gz
BuildArch: noarch
@@ -67,7 +64,7 @@ Autoloader: %{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit} -a 2
+%setup -q -n %{gh_project}-%{version} -a 2
%build
@@ -108,6 +105,9 @@ exit $ret
%changelog
+* Mon Apr 6 2026 Remi Collet <remi@remirepo.net> - 8.1.0-1
+- update to 8.1.0
+
* Tue Feb 10 2026 Remi Collet <remi@remirepo.net> - 8.0.0-2
- enable test suite